LVS(8) | System Manager's Manual | LVS(8)

# NAME

lvs - report information about logical volumes

# SYNOPSIS

lvs [--aligned] [-d|--debug] [-h|-?|--help] [--ignorelockingfailure] [--nameprefixes] [--noheadings] [--nosuffix] [-o|--options [+]Field[,Field]] [-O|--sort [+|-]Key1[,[+|-]Key2[,...]]] [-P|--partial] [--rows] [--segments] [--separator Separator] [--unbuffered] [--units hsbkmgtHKMGT] [--unquoted] [-v|--verbose] [--version] [VolumeGroupName [VolumeGroupName...]]

# DESCRIPTION

lvs produces formatted output about logical volumes.

# OPTIONS

See lvm for common options.

--aligned
  Use with --separator to align the output columns.

--nameprefixes
  Add an "LVM2_" prefix plus the field name to the output. Useful with --noheadings to produce a list of field=value pairs that can be used to set environment variables (for example, in udev (7) rules).

--noheadings
  Suppress the headings line that is normally the first line of output. Useful if grepping the output.

--nosuffix
  Suppress the suffix on output sizes. Use with --units (except h and H) if processing the output.

-o, --options
  Comma-separated ordered list of columns. Precede the list with '+' to append to the default selection of columns instead of replacing it. Column names are: lv_uuid, lv_name, lv_attr, lv_major, lv_minor, lv_kernel_major, lv_kernel_minor, lv_size, seg_count, origin, snap_percent, copy_percent, move_pv, lv_tags, segtype, stripes, stripesize, chunksize, seg_start, seg_size, seg_tags, devices, regionsize, mirror_log, modules.

  With --segments, any "seg_" prefixes are optional; otherwise any "lv_" prefixes are optional. Columns mentioned in vgs (8) can also be chosen. Use -o help to view the full list of fields available.

  The lv_attr bits are:
  1
    Volume type: (m)irrored, (M)irrored without initial sync, (o)rigin, (p)vmove, (s)napshot, invalid (S)napshot, (v)irtual, mirror (i)mage, mirror (I)mage out-of-sync, under (c)onversion
  2
    Permissions: (w)riteable, (r)ead-only
  3
    Allocation policy: (c)ontiguous, c(l)ing, (n)ormal, (a)nywhere, (i)nherited This is capitalised if the volume is currently locked against allocation changes, for example during pvmove (8).
  4
    fixed (m)inor
  5
    State: (a)ctive, (s)uspended, (I)nvalid snapshot, invalid (S)uspended snapshot, mapped (d)evice present without tables, mapped device present with (i)nactive table
  6
    device (o)pen

--segments
  Use default columns that emphasize segment information.

-O, --sort
  Comma-separated ordered list of columns to sort by. Replaces the default selection. Precede any column with - for a reverse sort on that column.

--rows
  Output columns as rows.

--separator Separator
  String to use to separate each column. Useful if grepping the output.

--unbuffered
  Produce output immediately without sorting or aligning the columns properly.

--units hsbkmgtHKMGT
  All sizes are output in these units: (h)uman-readable, (s)ectors, (b)ytes, (k)ilobytes, (m)egabytes, (g)igabytes, (t)erabytes. Capitalise to use multiples of 1000 (S.I.) instead of 1024. Can also specify custom (u)nits e.g. --units 3M

--unquoted
  When used with --nameprefixes, output values in the field=value pairs are not quoted.

# SEE ALSO

lvm(8), lvdisplay(8), pvs(8), vgs(8)

LVM TOOLS 2.02.44-cvs (02-17-09) | Sistina Software UK